Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2124 - squid does not work as configured
Summary: squid does not work as configured
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: squid
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-11 17:12 UTC by rh2021
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-12 15:00:47 UTC


Attachments (Terms of Use)

Description rh2021 1999-04-11 17:12:31 UTC
The squid package tries to run as user nobody by default. We
have it set up as using user squid, but do not configure
it as such in /etc/squid

Editing /etc/squid/squid.conf to have

#
cache_effective_user squid
cache_effective_group squid

fixed problem.

Comment 1 Bill Nottingham 1999-04-12 15:00:59 UTC
fixed in squid-2.2.devel3-7


Note You need to log in before you can comment on or make changes to this bug.